@import '../../global/var';

$modal-grey: $gray3e5;
$modal-white: $white;
$red: #d2333b;
$inner-padding: 20px;
$wizard-item-height: 164px;
$wizard-dark-gray:#7f7f7f;
$wizard-white: $white;
$standart-padding: 24px;

.zf-md-dialog-container {
    height: 100% !important;
    //top: 0 !important;
    overflow: auto !important;
    display: block;
    text-align: center;
    padding-top: 80px;
    padding-bottom: 20px;

    @media(max-width: $screen-phone) {
        padding: 0 !important;

        > form {
            height: 100%;
        }
    }
    .zf-modal-container {
        text-align: left !important;
        display: inline-block !important;
        height: auto;
        min-height: auto;
        max-height: none !important;
        width: 1026px !important;
        font-size: 0 !important;

        @media(max-width: $screen-phone) {
            height: 100% !important;
        }

        .md-dialog-content > div[ng-transclude] {
            display: flex;
            position: relative;
            min-height: 718px;

            @media(max-width: $md-screen-phone) {
                flex-direction: column;
            }
        }

        &_helper, &_content {
            font-size: 12px;
            padding: 32px 0 32px 24px;
            position: relative;
        }

        &_helper {
            width: 34%;
            background-color: $modal-white;

            @media(max-width: $md-screen-phone) {
                background-color: #f7f7f7;
            }
        }

        &_content {
            width: 66%;
            background: #F7F7F7;
            padding: 40px 40px;
        }

        .md-dialog-content {
            padding: 0;
            height: 100%;

            > * {
                height: 100%;
            }
        }
    }

    .close-button {
        transition: color .25s ease-in-out;
        position: absolute;
        right: 40px;
        top: 40px;
        height: 24px;
        width: 24px;
        font-size: 24px;
        min-width: 14px;
        min-height: 14px;
        z-index: 1;
        color: rgba($dark-new, .5);
        &:hover {
            color: rgba($dark-new, .9);
        }
    }
}


// Inputs
//TODO: check uses of this container and remove if possible (looks like redundant after UI KIT implementation)
.zf-input-container {
    font-size: 0;
    > input, > select, md-select {
        width: 272px;
        height: 34px;
        border-radius: 4px;
        background-color: $modal-white;
        border: 1px solid $modal-white;
        font-size: 14px;
        padding: 11px;

        &::placeholder {
            color: rgba($black, 0.5);
            opacity: 0.5;
            font-weight: 500;
        }
    }
    md-select {
        padding: 0;
        md-select-value {
            border: none !important;
        }
    }
    md-input-container {
        margin: 0;
        padding: 0;
        &.md-input-has-value {
            label {
                display: none;
            }
        }
        md-select-value {
            > span {
                padding: 10px;
            }
        }
        &:not(.md-input-has-value) {
            md-select:not([disabled='disabled']):not([disabled='true']) {
                md-select-value {
                    > span {
                        color: $black;
                    }
                }
            }
        }
    }
    [ng-messages] {
        position: absolute;
        font-size: 12px;
        color: $red;
    }

    md-chips-wrap {
        box-shadow: none !important;
        padding: 0;
        padding-bottom: 8px;
        background-color: $modal-white;

        > md-chip {
            height: 24px;
            border-radius: 12px;
            margin-left: 8px;
            margin-right: 0;

            > .md-chip-content {
                line-height: 24px;
            }
            > .md-chip-remove-container {
                height: 24px;
                button {
                    height: 24px;
                    width: 24px;
                    md-icon {
                        min-width: 16px;
                        min-height: 16px;
                        width: 16px;
                        height: 16px;
                    }
                }
            }
        }

        > .md-chip-input-container {
            margin: 4px 0 0 8px !important;
            height: 24px;
        }
    }
    label {
        display: block;
        font-size: 14px;
        font-weight: normal;
        letter-spacing: normal;
        line-height: 12px;
        margin-bottom: 12px;
        color: $dark-new;
    }

    [ng-messages] {
        position: absolute;
        color: red;
        > * {
            font-size: 12px !important;
        }
    }
}

.zf-label {
    font-size: 14px;
    font-weight: 500;
    line-height: 3.71;
    letter-spacing: 0.1px;
    color: #7f7f7f;
    padding-right: 24px;

    @media (max-width: $screen-sm) {
        height: 20px;
        line-height: 14px;
    }
}

// Controls

.zf-radio-button {
    position: relative;
    display: inline-block;
    width: 154px;
    height: 36px;
    margin: 0 8px 8px 0;

    &._squared {
        width: calc((100% - 40px)/2);
        height: 164px;
        margin: 0 20px 20px 0;
    }

    input[type = 'radio'] {
        display: none;
    }
    label {
        width: 100%;
        height: 100%;
        cursor: pointer;
        position: relative;
        > div {
            position: absolute;
            line-height: 43px;
            font-weight: normal;
            letter-spacing: normal;
            font-size: 14px;
            top: 50%;
            transform: translateY(-50%);
            left: 8px;
        }
        img {
            max-width: 20px;
            max-height: 20px;
            margin-right: 4px;
        }

        &:before {
            content: '';
            display: block;
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background-color: $modal-grey;
            border: 2px solid $coal;
            opacity: 0.1;
            border-radius: 4px;
        }

        &:hover {
            &:before {
                background-color: $coal;
                opacity: 0.1;
            }
        }
    }
}

.zf-radio-button.zf-checked {
    label {
        &:before {
            background-color: $coal;
            opacity: 0.15;
        }
    }
}

.zf-display-table {
    display: table;
    > div {
        display: table-row;
        > div {
            display: table-cell;
        }
    }
}

.selection-blocks {
    &_container {
        &_elements {
            font-size: 0;
            &_item {

                $parent: &;
                &:not(.zf-checked):hover {
                    > label::before {
                        border: 2px solid rgba(1, 22, 39, 0.4) !important;
                    }
                    #{$parent}_icon {
                        i, md-icon {
                            color: rgba(1, 22, 39, 0.4);
                        }
                    }
                }

                &_add {

                    &:hover {
                        &:before {
                            display: block;
                            content: '';
                            position: absolute;
                            height: 100%;
                            width: 100%;
                            border: 2px solid rgba(1, 22, 39, 0.4) !important;
                        }
                    }

                    background-color: rgba(31,36,42, 0.1) !important;
                    border-radius: 4px;

                    &_icon, &_title {
                        text-align: center;
                    }

                    &_icon {
                        height: 74%;
                        position: relative;

                        md-icon {
                            width: 48px !important;
                            height: 48px !important;
                            position: absolute;
                            right: calc((100% - 48px) / 2);
                            top: 28px;
                            color: rgba(1, 22, 39, 0.4) !important;
                        }

                        &.item-icon-back {
                            height: 100%;
                            top: 0;
                            position: relative;
                            display: inline;

                            md-icon {
                                position: relative;
                                height: 29px !important;
                                right: 8px;
                                top: 0;
                                width: 18px !important;
                                min-width: 18px;
                                color: rgba(1, 22, 39, 0.4) !important;
                            }
                        }
                    }

                    &_title {
                        position: absolute;
                        top: 36px;
                        left: 0;
                        height: 100%;
                        width: 100%;
                        font-size: 14px;
                        font-weight: 500;
                        letter-spacing: normal;
                        color: rgba(1, 22, 39, 0.6);
                        opacity: 0.6;
                        line-height: $wizard-item-height;

                        &.item-title-back {
                            position: absolute;
                            top: 0;
                            left: 0;
                        }
                    }

                    label {
                        *[ng-transclude] {
                            width: 100%;
                            i, md-icon {
                                color: $black;
                                font-size: 64px;
                                height: 64px;
                                width: 64px;
                            }
                        }
                        &::before {
                            display: none;
                        }
                    }
                }

                &_container {
                    overflow: hidden;
                    text-overflow: ellipsis;
                    &_title, &_description {
                        word-wrap: break-word;
                    }

                    &_title {
                        width: 96%;
                        margin: 4px 0 16px 32px;
                        display: flex;
                        align-items: center;
                        font-size: 11px;
                        line-height: 14px;

                        &._squared-card {
                            margin: 0 0 16px 0;
                            font-size: 14px;
                        }
                    }

                    &_description {
                        position: relative;
                        z-index: 2;
                        max-width: calc(100% - 85px);
                        font-size: 12px;
                        font-weight: normal;
                        letter-spacing: 0.1px;
                        line-height: 1.33;
                        color: $wizard-dark-gray;
                    }
                }

                &_action {
                    position: absolute;
                    top: 14px;
                    right: 8px;
                    i {
                        color: rgba(1, 22, 39, 0.6);
                    }
                }

                $parent: &;

                &:not(:hover) {
                    #{$parent}_action {
                        i, md-icon {
                            display: none;
                        }
                    }
                }

                &_icon {
                    position: absolute;
                    top: 16px;
                    left: 12px;

                    &._bottom {
                        position: absolute;
                        bottom: -3px;
                        left: -3px;
                        top: auto;
                        padding: 0 0 20px 20px;
                    }

                    md-icon, i {
                        width: 26px;
                        height: 26px;
                        font-size: 26px;
                        color: rgba($black, 0.2);
                    }
                }

                &_preview {
                    position: absolute;
                    bottom: 20px;
                    right: 15px;
                    width: 70px;
                    height: 70px;

                    & .card__icon {
                        width: 70px;
                        height: 70px;
                        max-width: 70px;
                        max-height: 70px;

                        &.table,
                        &.other {
                            height: 50px;
                            max-height: 50px;
                        }
                    }
                }

                &_additional {
                    position: absolute;
                    bottom: -2px;
                    right: 13px;
                    padding: 0 0 $inner-padding $inner-padding;
                    letter-spacing: 0.1px;
                    font-size: 12px;
                    font-weight: 500;
                    color: $brand-light;

                    i {
                        line-height: 17px;
                        vertical-align: bottom;
                    }
                }

                label {
                    &:before {
                        background-color: $wizard-white !important;
                        opacity: 1;
                        border: none;
                    }

                    div[ng-transclude] {
                        width: 100%;
                        transform: none;
                        line-height: 14px;
                        font-weight: 500;
                        padding: 16px;
                        height: 100%;
                        top: 0;
                        left: 0;
                        overflow: hidden;
                    }

                    &:hover {
                        &:before {
                            opacity: 1;
                        }
                    }
                }

                $parent: &;

                &.zf-checked {
                    label {
                        &:before {
                            border: 2px solid $brand-light;
                            opacity: 1;
                        }
                        i, md-icon {
                            color: $brand-light;
                        }
                    }

                    #{$parent}_description {
                        color: $black !important;
                    }

                    #{$parent}_icon {
                        md-icon {
                            color: $brand-light;
                        }
                    }
                }
            }

            &_input {
                margin-bottom: $inner-padding;
                > *:not(md-switch) {
                    padding-bottom: $inner-padding;
                    vertical-align: middle;
                }
                md-input-container {
                    md-select-value, input {
                        min-width: 228px;
                        max-width: 228px;
                    }
                }
                .zf-label {
                    text-transform: capitalize;
                    line-height: 0;
                    min-width: 151px;
                    padding-right: 24px;
                }
                md-switch {
                    padding-left: 16px;
                    margin: 0;
                }
                md-select[disabled] > md-select-value {
                    background-image: none;
                }
                md-radio-group {
                    height: 34px;
                    md-radio-button {
                        margin-bottom: 0;
                        font-size: 14px;
                        display: inline-block;

                        &:not(:first-child) {
                            margin-left: 16px;
                        }
                    }
                }

                &.type-title {
                    font-size: 14px;
                    .zf-label {
                        line-height: 16px;
                        text-transform: none;
                    }
                }
            }

            &_show-more {
                button {
                    margin-left: -11px;
                }
            }

            &_personal {
                margin-bottom: 40px;
                &_item {
                    > * {
                        padding-bottom: $inner-padding;
                        vertical-align: middle;
                    }
                    .zf-label {
                        line-height: 0;
                        min-width: 151px;
                        padding-right: 24px;
                    }

                    &.__description {
                        .zf-label {
                            line-height: 14px;
                            vertical-align: sub;
                        }
                        textarea {
                            resize: none;
                            border-radius: 4px;
                            background-color: $wizard-white;
                            border: 1px solid $wizard-white;
                            font-size: 14px;
                            padding: 11px;
                            color: inherit;
                        }
                    }
                }
            }
            &_additional {
                .zf-input-container {
                    > label {
                        margin-bottom: 20px;
                    }
                }

                &_legend-container {
                    width: 100%;
                    &_item {
                        width: 33%;
                        display: inline-block;
                        md-checkbox {
                            margin-bottom: $standart-padding;

                            > *[ng-transclude] {
                                font-size: 14px;
                                font-weight: 500;
                                margin-left: 32px;
                            }
                        }
                    }
                }
            }

            .divider {
                background-color: rgba($black, 0.15);
                margin: 14px 16px 30px 0;
            }
        }
    }
}
